<template>
  <svg class="icon" aria-hidden="true" v-bind="$attrs">
    <use :xlink:href="iconName"></use>
  </svg>
</template>

<script>
  export default {
    name: "svgIcon",
    props: {
      className: {
        type: String,
      }
    },
    computed: {
      iconName() {
        return `#${this.className}`
      }
    }
  }
</script>

<style lang="scss" scoped>

</style>